
.btn {
	color: #fff;
	outline: none;
	cursor: pointer;
	font-weight: 700;
	font-size: 1.6rem;
	line-height: 2rem;
	padding: 10px 20px;
	user-select: none;
	text-align: center;
	white-space: nowrap;
	background: #188b30;
	text-decoration: none;
	display: inline-block;
	vertical-align: middle;
	text-transform: uppercase;
	border: 2px solid #188b30;
	font-family: $font-family-base;

	.ico_svg {
		fill: #fff;
	}

	&:hover {
		color: #fff;
		background: $color-base;
		border-color: $color-base;
		text-decoration: none;

		.ico_svg {
			fill: #fff;
		}
	}

	&:active {
		background: #188b30;
		border-color: #188b30;
	}

	&:focus,
	&.focus {
		outline: 0;
	}
}

.btn_dark {

	&:hover {
		color: $color-base;
		background: #fff;
		border-color: #fff;
		text-decoration: none;

		.ico_svg {
			fill: $color-base;
		}
	}

	&:active {
		color: #fff;
		background: #188b30;
		border-color: #188b30;

		.ico_svg {
			fill: #fff;
		}
	}
}

.btn_white {
	background: #fff;
	border-color: #fff;
	color: $color-green;

	&:hover {
		color: #fff;
		border-color: #fff;
		background: $color-green;
	}

	&:active {
		background: #fff;
		border-color: #fff;
		color: $color-green;
	}
}

.btn_border {
	background: #fff;
	color: $color-green;

	.ico_svg {
		fill: $color-green;
	}

	&:hover {
		color: #fff;
		background: $color-green;
		border-color: $color-green;

		.ico_svg {
			fill: #fff;
		}

	}

	&:active {
		background: #fff;
		color: $color-green;

		.ico_svg {
			fill: $color-green;
		}
	}
}

.btn_icon {
	display: flex;
	align-items: center;
	justify-content: center;

	span {
		display: inline-block;
	}

	i {
		width: 18px;
		height: 18px;
		font-size: 0;
		line-height: 0;
		display: inline-block;
	}

	span + i {
		margin-left: 8px;
	}
}

.btn_text {
	padding: 0;
	height: auto;
	border: none;
	font-weight: 500;
	color: $color-green;
	text-transform: inherit;
	background: transparent;

	.ico_svg {
		fill: $color-green;
	}

	&:hover {
		color: $color-base;
		background: transparent;

		.ico_svg {
			fill: $color-base;
		}
	}

	&:active {
		color: $color-green;
		background: transparent;

		.ico_svg {
			fill: $color-green;
		}
	}
}

.btn_md {

	@media (min-width: $screen-md-min) {
		padding: 16px 30px;
	}
}

.btn_lg {
	padding: 18px 30px;
}

.button_inner {
	display: flex;
}